%define dracutlibdir %{_prefix}/lib/dracut

Name:    deo
Version: 0.5.1
Release: 2%{?dist}
Summary: Client used for binding data to a network

License: GPLv3+
URL:     https://github.com/npmccallum/%{name}
Source0: %{url}/releases/download/r%{version}/%{name}-%{version}.tar.gz

BuildRequires: cryptsetup-devel
BuildRequires: openssl-devel
BuildRequires: systemd-devel
BuildRequires: pkgconfig
BuildRequires: systemd
BuildRequires: openssl
BuildRequires: dracut
BuildRequires: python

Obsoletes: petera%{?_isa} < 0.4-1
Obsoletes: petera-client%{?_isa} < 0.4-1
Provides: petera%{?_isa} = %{version}-%{release}
Provides: petera-client%{?_isa} = %{version}-%{release}

%description
Client used for binding data to a network.


%package server
Summary: Server used for binding data and disks to a network
Obsoletes: petera-server%{?_isa} < 0.4-1
Provides: petera-server%{?_isa} = %{version}-%{release}

Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description server
Server used for binding data and disks to a network.


%package disks
Summary: Client used for binding disks to a network
Obsoletes: petera-client-disks%{?_isa} < 0.4-1
Provides: petera-client-disks%{?_isa} = %{version}-%{release}

Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: dracut-network
Requires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description disks
Client used for binding disks to a network


%prep
%setup -q


%build
%configure
make V=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%check
make check


%post server
%systemd_post %{name}-decryptd.socket %{name}-decryptd.service

%preun server
%systemd_preun %{name}-decryptd.socket %{name}-decryptd.service

%postun server
%systemd_postun_with_restart %{name}-decryptd.socket %{name}-decryptd.service

%post disks
%systemd_post %{name}-askpassd.path %{name}-askpassd.service

%preun disks
%systemd_preun %{name}-askpassd.path %{name}-askpassd.service

%postun disks
%systemd_postun_with_restart %{name}-askpassd.path %{name}-askpassd.service


%files
%license COPYING
%doc README.md
%{_mandir}/man1/%{name}.1*
%dir %{_sysconfdir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_bindir}/%{name}
%{_libdir}/%{name}/plugins/query.so
%{_libdir}/%{name}/plugins/encrypt.so
%{_libdir}/%{name}/plugins/decrypt.so
%{_libdir}/%{name}/plugins/targets.so

%files server
%dir %{_sysconfdir}/%{name}/decrypt.d
%{_sysconfdir}/%{name}/decryptd.pem
%{_sysconfdir}/%{name}/encrypt.pem
%{_libdir}/%{name}/plugins/decryptd.so
%{_unitdir}/%{name}-decryptd@.service
%{_unitdir}/%{name}-decryptd.socket

%files disks
%dir %{_sysconfdir}/%{name}/disks.d
%dir %{dracutlibdir}/modules.d/60%{name}
%{dracutlibdir}/modules.d/60%{name}/module-setup.sh
%{_libdir}/%{name}/plugins/askpassd.so
%{_libdir}/%{name}/plugins/cryptsetup.so
%{_unitdir}/%{name}-askpassd.service
%{_unitdir}/%{name}-askpassd.path


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 14 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.5.1-1
- Update to 0.5.1
- Add dracutlibdir macro

* Fri Aug 07 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.5-1
- Update to 0.5
- Run tests after build

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 12 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Fri Jun  5 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Thu Jun  4 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.4-1
- Update to 0.4
- Rename petera => deo

* Mon Jun  1 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.3-1
- Update to 0.3

* Wed May 27 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Wed May 20 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.2-1
- New upstream release

* Fri May  8 2015 Nathaniel McCallum <npmccallum@redhat.com> - 0.1-1
- Initial release
